Subject: bug#61072: How to change the length of the separation lines in eldoc, used by eglot?

From: Yuan Fu <[email-masked]>
Date: Wed, 29 Mar 2023 16:59:58 -0700

> On Mar 29, 2023, at 10:48 AM, Felician Nemeth <[email-masked]> wrote:
> 
> João Távora <[email-masked]> writes:
> 
>>> Sure, but can a better markdown.el solve the original issue?  Is there a
>>> way to render a separation line independently of the current
>>> window-width?
>> 
>> Yes, there is, with just the same code we use in eldoc now to separate
>> documentation from different backends.
>> 
>>   (concat "\n" (propertize "\n" 'face '(:inherit separator-line :extend
>>   t)) "\n")
> 
> Surprisingly, this does not work in the *scratch* buffer.  It does work
> in a non elisp-mode buffer.  I wonder why.

If font-lock-mode is on, it overwrites the ‘face property. I always apply both ‘face and ‘font-lock-face to be safe.

> 
> make-separator-line is a bit more complicated than the code above.
> Would it make sense to use that when it's available? (I.e., Emacs 29 and
> above.)
> 
>> I've mailed Jason Blevins, markdown.el maintainer but he hasn't
>> responded.  Maybe make a bug report in the Github repo.
> 
> Yuan Fu (CC'd) has already made one:
> https://github.com/jrblevin/markdown-mode/issues/753

The contributor thinks their fix for another problem also solves the issue I raised, but I don’t have the energy to argue with them.

Yuan